# List employee documents **GET /employers/{employerId}/employees/{employeeId}/documents** Returns all documents for a specific employee, including contract notes, valuation statements, and direct debit notices. Each document includes a `downloadUrl` that returns a pre-signed S3 URL valid for 5 minutes. To download the PDF, follow the URL returned by `downloadUrl`. ## Servers - Production: https://partner-api.getpenfold.com/v1 (Production) - Staging: https://partner-api.getpenfold.dev/v1 (Staging) ## Authentication methods - Bearer auth ## Parameters ### Path parameters - **employerId** (string(uuid)) Penfold employer UUID - **employeeId** (string) Unique identifier for the employee ### Query parameters - **type** (string) Filter documents by type. - **pageSize** (integer) The maximum number of documents to return per page. - **pageNumber** (integer) The page number to return. ## Responses ### 200 A paginated list of documents for the employee. #### Body: application/json (object) - **pageNumber** (integer) The current page number. - **pageSize** (integer) The number of items per page. - **totalItems** (integer) The total number of items available. - **items** (array[object]) An array of Document objects on the current page. ### 401 Missing or invalid authentication token #### Body: application/json (object) - **error** (string) ### 404 Resource not found #### Body: application/json (object) - **error** (string) ### 500 Internal server error #### Body: application/json (object) - **error** (string) [Powered by Bump.sh](https://bump.sh)